Error with settings schema on load

Asked by Marcelo Fernandez on 2015-08-11

Hello,

I was running a very old version of indicator-multiload on my Ubuntu 14.04 installation, and now I was trying to install this version (from stable PPA). But when executing from console, I'm getting this fatal error:

marcelo@marcelo-notebook:~$ indicator-multiload

(indicator-multiload:20344): GLib-GIO-ERROR **: Settings schema 'de.mh21.indicator-multiload.general' does not contain a key named 'indicator-expression-index'
Trace/breakpoint trap
marcelo@marcelo-notebook:~$

What can I do to fix this one?

Regards

Question information

Language:
English Edit question
Status:
Solved
For:
System Load Indicator Edit question
Assignee:
No assignee Edit question
Solved by:
Marcelo Fernandez
Solved:
2015-08-12
Last query:
2015-08-12
Last reply:
2015-08-12
Michael Hofmann (mh21) said : #1

Hi Marcelo,

You can reset the general settings on the command line with
  $ gsettings reset-recursively de.mh21.indicator-multiload.general
or, if there are even more problems, with
  $ gsettings reset-recursively de.mh21.indicator-multiload

Hope that helps!

Cheers
  Michael

Marcelo Fernandez (fernandezm) said : #2

Hi Michael,

Nope, I've executed both commands but I'm still getting the crash.

I did an 'apt-get install --reinstall indicator-multiload' to reinstall the .xml schema file in /usr/share/glib-2.0/schemas/de.mh21.indicator-multiload.gschema.xml, previously saving a copy in /tmp/, but both (the older one in /tmp/de.mh21.....xml and the newer one in /usr/share/glib-2.0/....) were exactly the same.

I was hoping the newer .xml had the 'indicator-expression-index' key.

Regards

Michael Hofmann (mh21) said : #3

Hi Marcelo,

the key was removed in the last revision (https://bazaar.launchpad.net/~indicator-multiload/indicator-multiload/trunk/revision/137), so it sounds like you are using a slightly older version (from stable?) with a newer schema (from trunk?)?

Cheers
  Michael

Marcelo Fernandez (fernandezm) said : #4

Hi Michael,

Yes, I'm using stable:

marcelo@marcelo-notebook:~$ cat /etc/apt/sources.list.d/indicator-multiload-daily-trusty.list
deb http://ppa.launchpad.net/indicator-multiload/daily/ubuntu trusty main
# deb-src http://ppa.launchpad.net/indicator-multiload/daily/ubuntu trusty main

...But that doesn't explain why the app is looking for that key, either.

Regards

Michael Hofmann (mh21) said : #5

Hi Marcelo,

stable is still using it, and it is also included in the schema there (https://bazaar.launchpad.net/~indicator-multiload/indicator-multiload/stable/view/head:/data/de.mh21.indicator-multiload.gschema.xml.in.in#L89). I'm a bit wondering why it is not included in the schema on your system...

Cheers
  Michael

Marcelo Fernandez (fernandezm) said : #6

Hi, now I've fixed it.

I downloaded the xml file you've linked to [1], replaced "_summary" for "summary", "_default" for "default", placed it in /usr/share/glib-2.0/schemas/de.mh21.indicator-multiload.gschema.xml and compiled the schemas in that directory with "sudo glib-compile-schemas /usr/share/glib-2.0/schemas/".

Now it multiload opens beautifully :-)

Are you sure the .deb file in the stable PPA includes that .xml file?

[1] https://bazaar.launchpad.net/~indicator-multiload/indicator-multiload/stable/view/head:/data/de.mh21.indicator-multiload.gschema.xml.in.in

Regards

Michael Hofmann (mh21) said : #7

Nice :-).

Weird error, I will look into whether the file is correctly installed.